%define prerelease 808e9038a20a9bda4017762270d05bb070bb6730
%define import_path github.com/mitchellh/goamz
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	An Amazon Library for Go
Name:		golang-mitchellh-goamz
Version:	0.20131119
Release:	%mkrel 2
License:	LGPLv3
Group:		Development/Other
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}

%description
This is a fork of https://launchpad.net/goamz that adds some missing API calls
to certain packages.

%prep
%setup -q -n goamz-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md
rm -f %{buildroot}%{gosrc}/CHANGES.md

%files
%doc LICENSE
%doc README.md
%doc CHANGES.md
%{gosrc}/*


%changelog
* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20131119-2.mga4
+ Revision: 559430
+ rebuild (emptylog)

* Thu Nov 21 2013 thatsamguy <thatsamguy> 0.20131119-1.mga4
+ Revision: 552157
- update to latest release

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130919-1.mga4
+ Revision: 546838
- imported package golang-mitchellh-goamz

